# eric4.E4XML.DebuggerPropertiesHandler

Module implementing the handler class for reading an XML project debugger properties file.

### Global Attributes

None

### Classes

DebuggerPropertiesHandler | Class implementing a sax handler to read an XML project debugger properties file.

### Functions

None

## DebuggerPropertiesHandler

Class implementing a sax handler to read an XML project debugger properties file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Methods

DebuggerPropertiesHandler | Constructor
endConsoleDebugger | Handler method for the "ConsoleDebugger" end tag.
endDebugClient | Handler method for the "DebugClient" end tag.
endEnvironment | Handler method for the "Environment" end tag.
endInterpreter | Handler method for the "Interpreter" end tag.
endLocalPath | Handler method for the "LocalPath" end tag.
endRemoteCommand | Handler method for the "RemoteCommand" end tag.
endRemoteHost | Handler method for the "RemoteHost" end tag.
endRemotePath | Handler method for the "RemotePath" end tag.
getVersion | Public method to retrieve the version of the debugger properties.
startConsoleDebugger | Handler method for the "ConsoleDebugger" start tag.
startDebuggerProperties | Handler method for the "DebuggerProperties" start tag.
startDocumentDebuggerProperties | Handler called, when the document parsing is started.
startEnvironment | Handler method for the "Environment" start tag.
startNoencoding | Handler method for the "Noencoding" start tag.
startPathTranslation | Handler method for the "PathTranslation" start tag.
startRedirect | Handler method for the "Redirect" start tag.
startRemoteDebugger | Handler method for the "RemoteDebugger" start tag.

#### DebuggerPropertiesHandler (Constructor)

DebuggerPropertiesHandler(project)

Constructor

project
  Reference to the project object to store the information into.

#### DebuggerPropertiesHandler.endConsoleDebugger

endConsoleDebugger()

Handler method for the "ConsoleDebugger" end tag.

#### DebuggerPropertiesHandler.endDebugClient

endDebugClient()

Handler method for the "DebugClient" end tag.

#### DebuggerPropertiesHandler.endEnvironment

endEnvironment()

Handler method for the "Environment" end tag.

#### DebuggerPropertiesHandler.endInterpreter

endInterpreter()

Handler method for the "Interpreter" end tag.

#### DebuggerPropertiesHandler.endLocalPath

endLocalPath()

Handler method for the "LocalPath" end tag.

#### DebuggerPropertiesHandler.endRemoteCommand

endRemoteCommand()

Handler method for the "RemoteCommand" end tag.

#### DebuggerPropertiesHandler.endRemoteHost

endRemoteHost()

Handler method for the "RemoteHost" end tag.

#### DebuggerPropertiesHandler.endRemotePath

endRemotePath()

Handler method for the "RemotePath" end tag.

#### DebuggerPropertiesHandler.getVersion

getVersion()

Public method to retrieve the version of the debugger properties.

Returns:
  String containing the version number.

#### DebuggerPropertiesHandler.startConsoleDebugger

startConsoleDebugger(attrs)

Handler method for the "ConsoleDebugger" start tag.

#### DebuggerPropertiesHandler.startDebuggerProperties

startDebuggerProperties(attrs)

Handler method for the "DebuggerProperties" start tag.

attrs
  list of tag attributes

#### DebuggerPropertiesHandler.startDocumentDebuggerProperties

startDocumentDebuggerProperties()

Handler called, when the document parsing is started.

#### DebuggerPropertiesHandler.startEnvironment

startEnvironment(attrs)

Handler method for the "Environment" start tag.

#### DebuggerPropertiesHandler.startNoencoding

startNoencoding(attrs)

Handler method for the "Noencoding" start tag.

#### DebuggerPropertiesHandler.startPathTranslation

startPathTranslation(attrs)

Handler method for the "PathTranslation" start tag.

#### DebuggerPropertiesHandler.startRedirect

startRedirect(attrs)

Handler method for the "Redirect" start tag.

#### DebuggerPropertiesHandler.startRemoteDebugger

startRemoteDebugger(attrs)

Handler method for the "RemoteDebugger" start tag.

Up